// ENUNCIADO: _base.scss. Estilos comunes, aplicables a todas las páginas del sitio.
@import 'mixins';

* {
    box-sizing: border-box;

}

html {
    font-size: 16px;
    font-family: Arial, Helvetica, sans-serif;
}

html, body {
    margin: 0;
    padding: 0;
}
a {
    text-decoration: none;
    color: inherit;
}
p {
    margin: 0;
}


.title1 {
    @include title1;
}
.text-center {
    @include center-text;
}


$margin-directions: (t: margin-top, b: margin-bottom, r: margin-right, l: margin-left);

@each $margin-direction, $css-property in $margin-directions {
    @for $i from 1 to 5 {
        .m#{$margin-direction}-#{$i} {
            #{$css-property}: #{$i * 0.25}rem;
        }
    }
}